package com.njcn.energy.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.njcn.energy.mapper.EleActrlMapper;
import com.njcn.energy.pojo.po.EleActrl;
import com.njcn.energy.pojo.po.EleEpdPqd;
import com.njcn.energy.service.IEleActrlService;
import org.springframework.stereotype.Service;

/**
 * 类的介绍：
 *
 * @author xuyang
 * @version 1.0.0
 * @createTime 2022/3/15 20:14
 */
@Service
public class EleActrlServiceImpl extends ServiceImpl<EleActrlMapper, EleActrl> implements IEleActrlService {
    @Override
    public boolean addActrl(EleActrl eleActrl) {
        return this.save(eleActrl);
    }

    @Override
    public boolean updateActrl(EleActrl eleActrl) {
        return this.updateById(eleActrl);
    }

    @Override
    public EleActrl findByName(String name) {
        return this.lambdaQuery().eq(EleActrl::getName,name).one();
    }
}
